/**
 *  The template for the overring the hardcoded strings contained in
 *  the AutoConnect pages.
 *  e.g. for PlatformIO, you can add to platformio.ini in your project
 *  along with AC_LABLES macro which specifies the user-defined label
 *  constants as follows:
 *
 * build_flags =
 *   -DAC_LABELS='"${PROJECT_SRC_DIR}/mylabels.h"'
 * 
 *  And places mylabels.h, it needs a structure of the define directive
 *  provided per label string definition for the change your wants.
 * 
 * #ifdef [ID YOU WANT TO CHANGE]
 * #undef [ID YOU WANT TO CHANGE]
 * #define [ID YOU WANT TO CHANGE] "NEW_STRING_FOR_THISONE"
 * #endif
 * 
 *  Details are in the documentation.
 *  https://hieromon.github.io/AutoConnect/changelabel.html
 */

// Menu item: Configure new AP
//#ifdef AUTOCONNECT_MENULABEL_CONFIGNEW
//#undef AUTOCONNECT_MENULABEL_CONFIGNEW
//#define AUTOCONNECT_MENULABEL_CONFIGNEW   "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_MENULABEL_CONFIGNEW

// Menu item: Open SSIDs
//#ifdef AUTOCONNECT_MENULABEL_OPENSSIDS
//#undef AUTOCONNECT_MENULABEL_OPENSSIDS
//#define AUTOCONNECT_MENULABEL_OPENSSIDS   "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_MENULABEL_OPENSSIDS

// Menu item: Disconnect
//#ifdef AUTOCONNECT_MENULABEL_DISCONNECT
//#undef AUTOCONNECT_MENULABEL_DISCONNECT
//#define AUTOCONNECT_MENULABEL_DISCONNECT  "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_MENULABEL_DISCONNECT

// Menu item: Reset...
//#ifdef AUTOCONNECT_MENULABEL_RESET
//#undef AUTOCONNECT_MENULABEL_RESET
//#define AUTOCONNECT_MENULABEL_RESET       "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_MENULABEL_RESET

// Menu item: HOME
//#ifdef AUTOCONNECT_MENULABEL_HOME
//#undef AUTOCONNECT_MENULABEL_HOME
//#define AUTOCONNECT_MENULABEL_HOME        "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_MENULABEL_HOME

// Menu item: Update
//#ifdef AUTOCONNECT_MENULABEL_UPDATE
//#undef AUTOCONNECT_MENULABEL_UPDATE
//#define AUTOCONNECT_MENULABEL_UPDATE      "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_MENULABEL_UPDATE

// Menu item: Device Info
//#ifdef AUTOCONNECT_MENULABEL_DEVINFO
//#undef AUTOCONNECT_MENULABEL_DEVINFO
//#define AUTOCONNECT_MENULABEL_DEVINFO     "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_MENULABEL_DEVINFO

// Menu item: Config
//#ifdef AUTOCONNECT_MENULABEL_ACCONFIG
//#undef AUTOCONNECT_MENULABEL_ACCONFIG
//#define AUTOCONNECT_MENULABEL_ACCONFIG    "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_MENULABEL_ACCONFIG

// Button label: RESET
//#ifdef AUTOCONNECT_BUTTONLABEL_RESET
//#undef AUTOCONNECT_BUTTONLABEL_RESET
//#define AUTOCONNECT_BUTTONLABEL_RESET     "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_BUTTONLABEL_RESET

// Button label: UPDATE
//#ifdef AUTOCONNECT_BUTTONLABEL_UPDATE
//#undef AUTOCONNECT_BUTTONLABEL_UPDATE
//#define AUTOCONNECT_BUTTONLABEL_UPDATE     "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_BUTTONLABEL_UPDATE

// Page title: Page not found
//#ifdef AUTOCONNECT_PAGETITLE_NOTFOUND
//#undef AUTOCONNECT_PAGETITLE_NOTFOUND
//#define AUTOCONNECT_PAGETITLE_NOTFOUND "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGETITLE_NOTFOUND

// Page title: AutoConnect resetting
//#ifdef AUTOCONNECT_PAGETITLE_RESETTING
//#undef AUTOCONNECT_PAGETITLE_RESETTING
//#define AUTOCONNECT_PAGETITLE_RESETTING "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGETITLE_RESETTING

// Page title: AutoConnect statistics
//#ifdef AUTOCONNECT_PAGETITLE_STATISTICS
//#undef AUTOCONNECT_PAGETITLE_STATISTICS
//#define AUTOCONNECT_PAGETITLE_STATISTICS "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGETITLE_STATISTICS

// Page statistics row: Established connection
//#ifdef AUTOCONNECT_PAGESTATS_ESTABLISHEDCONNECTION
//#undef AUTOCONNECT_PAGESTATS_ESTABLISHEDCONNECTION
//#define AUTOCONNECT_PAGESTATS_ESTABLISHEDCONNECTION "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGESTATS_ESTABLISHEDCONNECTION

// Page statistics row: Mode
//#ifdef AUTOCONNECT_PAGESTATS_MODE
//#undef AUTOCONNECT_PAGESTATS_MODE
//#define AUTOCONNECT_PAGESTATS_MODE "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGESTATS_MODE

// Page statistics row: IP
//#ifdef AUTOCONNECT_PAGESTATS_IP
//#undef AUTOCONNECT_PAGESTATS_IP
//#define AUTOCONNECT_PAGESTATS_IP "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGESTATS_IP

// Page statistics row: GW
//#ifdef AUTOCONNECT_PAGESTATS_GATEWAY
//#undef AUTOCONNECT_PAGESTATS_GATEWAY
//#define AUTOCONNECT_PAGESTATS_GATEWAY "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGESTATS_GATEWAY

// Page statistics row: Subnet mask
//#ifdef AUTOCONNECT_PAGESTATS_SUBNETMASK
//#undef AUTOCONNECT_PAGESTATS_SUBNETMASK
//#define AUTOCONNECT_PAGESTATS_SUBNETMASK "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGESTATS_SUBNETMASK

// Page statistics row: SoftAP IP
//#ifdef AUTOCONNECT_PAGESTATS_SOFTAPIP
//#undef AUTOCONNECT_PAGESTATS_SOFTAPIP
//#define AUTOCONNECT_PAGESTATS_SOFTAPIP "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGESTATS_SOFTAPIP

// Page statistics row: AP MAC
//#ifdef AUTOCONNECT_PAGESTATS_APMAC
//#undef AUTOCONNECT_PAGESTATS_APMAC
//#define AUTOCONNECT_PAGESTATS_APMAC "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGESTATS_APMAC

// Page statistics row: STA MAC
//#ifdef AUTOCONNECT_PAGESTATS_STAMAC
//#undef AUTOCONNECT_PAGESTATS_STAMAC
//#define AUTOCONNECT_PAGESTATS_STAMAC "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGESTATS_STAMAC

// Page statistics row: Channel
//#ifdef AUTOCONNECT_PAGESTATS_CHANNEL
//#undef AUTOCONNECT_PAGESTATS_CHANNEL
//#define AUTOCONNECT_PAGESTATS_CHANNEL "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGESTATS_CHANNEL

// Page statistics row: dBm
//#ifdef AUTOCONNECT_PAGESTATS_DBM
//#undef AUTOCONNECT_PAGESTATS_DBM
//#define AUTOCONNECT_PAGESTATS_DBM "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGESTATS_DBM

// Page statistics row: Chip ID
//#ifdef AUTOCONNECT_PAGESTATS_CHIPID
//#undef AUTOCONNECT_PAGESTATS_CHIPID
//#define AUTOCONNECT_PAGESTATS_CHIPID "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGESTATS_CHIPID

// Page statistics row: CPU Freq.
//#ifdef AUTOCONNECT_PAGESTATS_CPUFREQ
//#undef AUTOCONNECT_PAGESTATS_CPUFREQ
//#define AUTOCONNECT_PAGESTATS_CPUFREQ "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGESTATS_CPUFREQ

// Page statistics row: Flash size
//#ifdef AUTOCONNECT_PAGESTATS_FLASHSIZE
//#undef AUTOCONNECT_PAGESTATS_FLASHSIZE
//#define AUTOCONNECT_PAGESTATS_FLASHSIZE "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGESTATS_FLASHSIZE

// Page statistics row: Free memory
//#ifdef AUTOCONNECT_PAGESTATS_FREEMEM
//#undef AUTOCONNECT_PAGESTATS_FREEMEM
//#define AUTOCONNECT_PAGESTATS_FREEMEM "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGESTATS_FREEMEM

// Page title: AutoConnect config
//#ifdef AUTOCONNECT_PAGETITLE_CONFIG
//#undef AUTOCONNECT_PAGETITLE_CONFIG
//#define AUTOCONNECT_PAGETITLE_CONFIG "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGETITLE_CONFIG

// Page AutoConnectConfigAux section label: SoftAP settings
//#ifdef AUTOCONNECT_PAGELABEL_SOFTAPSETTINGS
//#undef AUTOCONNECT_PAGELABEL_SOFTAPSETTINGS
//#define AUTOCONNECT_PAGELABEL_SOFTAPSETTINGS "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGELABEL_SOFTAPSETTINGS

// Page AutoConnectConfigAux section label: Captive portal control
//#ifdef AUTOCONNECT_PAGELABEL_CPCONTROL
//#undef AUTOCONNECT_PAGELABEL_CPCONTROL
//#define AUTOCONNECT_PAGELABEL_CPCONTROL "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGELABEL_CPCONTROL

// Page AutoConnectConfigAux section label: Connection control
//#ifdef AUTOCONNECT_PAGELABEL_CONNECTIONCONTROL
//#undef AUTOCONNECT_PAGELABEL_CONNECTIONCONTROL
//#define AUTOCONNECT_PAGELABEL_CONNECTIONCONTROL "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGELABEL_CONNECTIONCONTROL

// Page AutoConnectConfigAux section label: Station settings
//#ifdef AUTOCONNECT_PAGELABEL_STATIONSETTINGS
//#undef AUTOCONNECT_PAGELABEL_STATIONSETTINGS
//#define AUTOCONNECT_PAGELABEL_STATIONSETTINGS "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGELABEL_STATIONSETTINGS

// Page AutoConnectConfigAux section label: Authentication settings
//#ifdef AUTOCONNECT_PAGELABEL_AUTHSETTINGS
//#undef AUTOCONNECT_PAGELABEL_AUTHSETTINGS
//#define AUTOCONNECT_PAGELABEL_AUTHSETTINGS "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGELABEL_AUTHSETTINGS

// Page AutoConnectConfigAux section label: Miscellaneous
//#ifdef AUTOCONNECT_PAGELABEL_MISCELLANEOUS
//#undef AUTOCONNECT_PAGELABEL_MISCELLANEOUS
//#define AUTOCONNECT_PAGELABEL_MISCELLANEOUS "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGELABEL_MISCELLANEOUS

// Page config text: Total:
//#ifdef AUTOCONNECT_PAGECONFIG_TOTAL
//#undef AUTOCONNECT_PAGECONFIG_TOTAL
//#define AUTOCONNECT_PAGECONFIG_TOTAL "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_TOTAL

// Page config text: Hidden:
//#ifdef AUTOCONNECT_PAGECONFIG_HIDDEN
//#undef AUTOCONNECT_PAGECONFIG_HIDDEN
//#define AUTOCONNECT_PAGECONFIG_HIDDEN "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_HIDDEN

// Page config text: Hidden SSID
//#ifdef AUTOCONNECT_PAGECONFIG_HIDDENSSID
//#undef AUTOCONNECT_PAGECONFIG_HIDDENSSID
//#define AUTOCONNECT_PAGECONFIG_HIDDENSSID "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_HIDDENSSID

// Page config text: SSID
//#ifdef AUTOCONNECT_PAGECONFIG_SSID
//#undef AUTOCONNECT_PAGECONFIG_SSID
//#define AUTOCONNECT_PAGECONFIG_SSID "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_SSID

// Page config text: Passphrase
//#ifdef AUTOCONNECT_PAGECONFIG_PASSPHRASE
//#undef AUTOCONNECT_PAGECONFIG_PASSPHRASE
//#define AUTOCONNECT_PAGECONFIG_PASSPHRASE "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_PASSPHRASE

// Page AutoConnectConfigAux text: IP Address
//#ifdef AUTOCONNECT_PAGECONFIG_IPADDRESS
//#undef AUTOCONNECT_PAGECONFIG_IPADDRESS
//#define AUTOCONNECT_PAGECONFIG_IPADDRESS "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_IPADDRESS

// Page AutoConnectConfigAux text: Gateway
//#ifdef AUTOCONNECT_PAGECONFIG_GATEWAY
//#undef AUTOCONNECT_PAGECONFIG_GATEWAY
//#define AUTOCONNECT_PAGECONFIG_GATEWAY "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_GATEWAY

// Page config text: Netmask
//#ifdef AUTOCONNECT_PAGECONFIG_NETMASK
//#undef AUTOCONNECT_PAGECONFIG_NETMASK
//#define AUTOCONNECT_PAGECONFIG_NETMASK "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_NETMASK

// Page config text: DNS1
//#ifdef AUTOCONNECT_PAGECONFIG_DNS1
//#undef AUTOCONNECT_PAGECONFIG_DNS1
//#define AUTOCONNECT_PAGECONFIG_DNS1 "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_DNS1

// Page config text: DNS2
//#ifdef AUTOCONNECT_PAGECONFIG_DNS2
//#undef AUTOCONNECT_PAGECONFIG_DNS2
//#define AUTOCONNECT_PAGECONFIG_DNS2 "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_DNS2

// Page AutoConnectConfigAux text: Primary DNS
//#ifdef AUTOCONNECT_PAGECONFIG_PRIMARYDNS
//#undef AUTOCONNECT_PAGECONFIG_PRIMARYDNS
//#define AUTOCONNECT_PAGECONFIG_PRIMARYDNS "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_PRIMARYDNS

// Page AutoConnectConfigAux text: Primary DNS
//#ifdef AUTOCONNECT_PAGECONFIG_SECONDARYDNS
//#undef AUTOCONNECT_PAGECONFIG_SECONDARYDNS
//#define AUTOCONNECT_PAGECONFIG_SECONDARYDNS "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_SECONDARYDNS

// Page AutoConnectConfigAux text: Auto popup
//#ifdef AUTOCONNECT_PAGECONFIG_AUTOPOPUP
//#undef AUTOCONNECT_PAGECONFIG_AUTOPOPUP
//#define AUTOCONNECT_PAGECONFIG_AUTOPOPUP "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_AUTOPOPUP

// Page AutoConnectConfigAux text: Immediate start
//#ifdef AUTOCONNECT_PAGECONFIG_IMMEDIATESTART
//#undef AUTOCONNECT_PAGECONFIG_IMMEDIATESTART
//#define AUTOCONNECT_PAGECONFIG_IMMEDIATESTART "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_IMMEDIATESTART

// Page AutoConnectConfigAux text: Retain portal
//#ifdef AUTOCONNECT_PAGECONFIG_RETAINPORTAL
//#undef AUTOCONNECT_PAGECONFIG_RETAINPORTAL
//#define AUTOCONNECT_PAGECONFIG_RETAINPORTAL "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_RETAINPORTAL

// Page AutoConnectConfigAux text: Captive portal timeout
//#ifdef AUTOCONNECT_PAGECONFIG_CPTIMEOUT
//#undef AUTOCONNECT_PAGECONFIG_CPTIMEOUT
//#define AUTOCONNECT_PAGECONFIG_CPTIMEOUT "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_CPTIMEOUT

// Page AutoConnectConfigAux text: Principle
//#ifdef AUTOCONNECT_PAGECONFIG_PRINCIPLE
//#undef AUTOCONNECT_PAGECONFIG_PRINCIPLE
//#define AUTOCONNECT_PAGECONFIG_PRINCIPLE "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_PRINCIPLE

// Page AutoConnectConfigAux text: Min RSSI
//#ifdef AUTOCONNECT_PAGECONFIG_MINRSSI
//#undef AUTOCONNECT_PAGECONFIG_MINRSSI
//#define AUTOCONNECT_PAGECONFIG_MINRSSI "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_MINRSSI

// Page AutoConnectConfigAux text: BEGIN timeout
//#ifdef AUTOCONNECT_PAGECONFIG_BEGINTIMEOUT
//#undef AUTOCONNECT_PAGECONFIG_BEGINTIMEOUT
//#define AUTOCONNECT_PAGECONFIG_BEGINTIMEOUT "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_BEGINTIMEOUT

// Page AutoConnectConfigAux text: Auto reconnect
//#ifdef AUTOCONNECT_PAGECONFIG_AUTORECONNECT
//#undef AUTOCONNECT_PAGECONFIG_AUTORECONNECT
//#define AUTOCONNECT_PAGECONFIG_AUTORECONNECT "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_AUTORECONNECT

// Page AutoConnectConfigAux text: Reconnect interval
//#ifdef AUTOCONNECT_PAGECONFIG_RECONNECTINTERVAL
//#undef AUTOCONNECT_PAGECONFIG_RECONNECTINTERVAL
//#define AUTOCONNECT_PAGECONFIG_RECONNECTINTERVAL "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_RECONNECTINTERVAL

// Page AutoConnectConfigAux text: Save credential
//#ifdef AUTOCONNECT_PAGECONFIG_SAVECREDENTIAL
//#undef AUTOCONNECT_PAGECONFIG_SAVECREDENTIAL
//#define AUTOCONNECT_PAGECONFIG_SAVECREDENTIAL "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_SAVECREDENTIAL

// Page AutoConnectConfigAux text: Auto restart
//#ifdef AUTOCONNECT_PAGECONFIG_AUTORESTART
//#undef AUTOCONNECT_PAGECONFIG_AUTORESTART
//#define AUTOCONNECT_PAGECONFIG_AUTORESTART "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_AUTORESTART

// Page AutoConnectConfigAux text: Preserve AP Mode
//#ifdef AUTOCONNECT_PAGECONFIG_PRESERVEAPMODE
//#undef AUTOCONNECT_PAGECONFIG_PRESERVEAPMODE
//#define AUTOCONNECT_PAGECONFIG_PRESERVEAPMODE "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_PRESERVEAPMODE

// Page config text: Enable DHCP
//#ifdef AUTOCONNECT_PAGECONFIG_ENABLEDHCP
//#undef AUTOCONNECT_PAGECONFIG_ENABLEDHCP
//#define AUTOCONNECT_PAGECONFIG_ENABLEDHCP "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_ENABLEDHCP

// Page AutoConnectConfigAux text: Host name
//#ifdef AUTOCONNECT_PAGECONFIG_HOSTNAME
//#undef AUTOCONNECT_PAGECONFIG_HOSTNAME
//#define AUTOCONNECT_PAGECONFIG_HOSTNAME "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_HOSTNAME

// Page AutoConnectConfigAux text: Home URI
//#ifdef AUTOCONNECT_PAGECONFIG_HOMEURI
//#undef AUTOCONNECT_PAGECONFIG_HOMEURI
//#define AUTOCONNECT_PAGECONFIG_HOMEURI "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_HOMEURI

// Page AutoConnectConfigAux text: On Boot URI
//#ifdef AUTOCONNECT_PAGECONFIG_ONBOOTURI
//#undef AUTOCONNECT_PAGECONFIG_ONBOOTURI
//#define AUTOCONNECT_PAGECONFIG_ONBOOTURI "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_ONBOOTURI

// Page AutoConnectConfigAux text: Authentication
//#ifdef AUTOCONNECT_PAGECONFIG_AUTHENTICATION
//#undef AUTOCONNECT_PAGECONFIG_AUTHENTICATION
//#define AUTOCONNECT_PAGECONFIG_AUTHENTICATION "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_AUTHENTICATION

// Page AutoConnectConfigAux text: Scope
//#ifdef AUTOCONNECT_PAGECONFIG_AUTHSCOPE
//#undef AUTOCONNECT_PAGECONFIG_AUTHSCOPE
//#define AUTOCONNECT_PAGECONFIG_AUTHSCOPE "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_AUTHSCOPE

// Page AutoConnectConfigAux text: User name
//#ifdef AUTOCONNECT_PAGECONFIG_USERNAME
//#undef AUTOCONNECT_PAGECONFIG_USERNAME
//#define AUTOCONNECT_PAGECONFIG_USERNAME "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_USERNAME

// Page AutoConnectConfigAux text: Password
//#ifdef AUTOCONNECT_PAGECONFIG_PASSWORD
//#undef AUTOCONNECT_PAGECONFIG_PASSWORD
//#define AUTOCONNECT_PAGECONFIG_PASSWORD "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_PASSWORD

// Page AutoConnectConfigAux text: Menu title
//#ifdef AUTOCONNECT_PAGECONFIG_MENUTITLE
//#undef AUTOCONNECT_PAGECONFIG_MENUTITLE
//#define AUTOCONNECT_PAGECONFIG_MENUTITLE "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_MENUTITLE

// Page AutoConnectConfigAux text: Menu to use
//#ifdef AUTOCONNECT_PAGECONFIG_MENUSUSE
//#undef AUTOCONNECT_PAGECONFIG_MENUSUSE
//#define AUTOCONNECT_PAGECONFIG_MENUSUSE "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_MENUSUSE

// Page AutoConnectConfigAux text: Ticker
//#ifdef AUTOCONNECT_PAGECONFIG_TICKER
//#undef AUTOCONNECT_PAGECONFIG_TICKER
//#define AUTOCONNECT_PAGECONFIG_TICKER "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_TICKER

// Page AutoConnectConfigAux text: ON
//#ifdef AUTOCONNECT_PAGECONFIG_TICKERON
//#undef AUTOCONNECT_PAGECONFIG_TICKERON
//#define AUTOCONNECT_PAGECONFIG_TICKERON "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_TICKERON

// Page AutoConnectConfigAux text: Active LOW
//#ifdef AUTOCONNECT_PAGECONFIG_TICKERACTIVE
//#undef AUTOCONNECT_PAGECONFIG_TICKERACTIVE
//#define AUTOCONNECT_PAGECONFIG_TICKERACTIVE "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_TICKERACTIVE

// Page AutoConnectConfigAux text: GPIO
//#ifdef AUTOCONNECT_PAGECONFIG_TICKERPORT
//#undef AUTOCONNECT_PAGECONFIG_TICKERPORT
//#define AUTOCONNECT_PAGECONFIG_TICKERPORT "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_TICKERPORT

// Page AutoConnectConfigAux text: Built-in OTA
//#ifdef AUTOCONNECT_PAGECONFIG_BUILTINOTA
//#undef AUTOCONNECT_PAGECONFIG_BUILTINOTA
//#define AUTOCONNECT_PAGECONFIG_BUILTINOTA "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_BUILTINOTA

// Page AutoConnectConfigAux text: Boundary offset
//#ifdef AUTOCONNECT_PAGECONFIG_BOUNDARY
//#undef AUTOCONNECT_PAGECONFIG_BOUNDARY
//#define AUTOCONNECT_PAGECONFIG_BOUNDARY "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_BOUNDARY

// Page config text: Apply
//#ifdef AUTOCONNECT_PAGECONFIG_APPLY
//#undef AUTOCONNECT_PAGECONFIG_APPLY
//#define AUTOCONNECT_PAGECONFIG_APPLY "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONFIG_APPLY

// Page title: AutoConnect credentials
//#ifdef AUTOCONNECT_PAGETITLE_CREDENTIALS
//#undef AUTOCONNECT_PAGETITLE_CREDENTIALS
//#define AUTOCONNECT_PAGETITLE_CREDENTIALS "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGETITLE_CREDENTIALS

// Text: The update page caption
//#ifndef AUTOCONNECT_TEXT_UPDATINGFIRMWARE
//#define AUTOCONNECT_TEXT_UPDATINGFIRMWARE "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_TEXT_UPDATINGFIRMWARE

// Text: The update page's file selection button label
//#ifndef AUTOCONNECT_TEXT_SELECTFIRMWARE
//#define AUTOCONNECT_TEXT_SELECTFIRMWARE "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_TEXT_SELECTFIRMWARE

// Text: OTA success
//#ifndef AUTOCONNECT_TEXT_OTASUCCESS
//#define AUTOCONNECT_TEXT_OTASUCCESS "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_TEXT_OTASUCCESS

// Text: OTA failure
//#ifndef AUTOCONNECT_TEXT_OTAFAILURE
//#define AUTOCONNECT_TEXT_OTAFAILURE "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_TEXT_OTAFAILURE

// Page title: AutoConnect connecting
//#ifdef AUTOCONNECT_PAGETITLE_CONNECTING
//#undef AUTOCONNECT_PAGETITLE_CONNECTING
//#define AUTOCONNECT_PAGETITLE_CONNECTING "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGETITLE_CONNECTING

// Page title: AutoConnect connection failed
//#ifdef AUTOCONNECT_PAGETITLE_CONNECTIONFAILED
//#undef AUTOCONNECT_PAGETITLE_CONNECTIONFAILED
//#define AUTOCONNECT_PAGETITLE_CONNECTIONFAILED "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGETITLE_CONNECTIONFAILED

// Page connection failed: Connection Failed
//#ifdef AUTOCONNECT_PAGECONNECTIONFAILED_CONNECTIONFAILED
//#undef AUTOCONNECT_PAGECONNECTIONFAILED_CONNECTIONFAILED
//#define AUTOCONNECT_PAGECONNECTIONFAILED_CONNECTIONFAILED "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGECONNECTIONFAILED_CONNECTIONFAILED

// Page title: AutoConnect disconnected
//#ifdef AUTOCONNECT_PAGETITLE_DISCONNECTED
//#undef AUTOCONNECT_PAGETITLE_DISCONNECTED
//#define AUTOCONNECT_PAGETITLE_DISCONNECTED "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_PAGETITLE_DISCONNECTED

// Text: No saved credentials.
//#ifdef AUTOCONNECT_TEXT_NOSAVEDCREDENTIALS
//#undef AUTOCONNECT_TEXT_NOSAVEDCREDENTIALS
//#define AUTOCONNECT_TEXT_NOSAVEDCREDENTIALS "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_TEXT_NOSAVEDCREDENTIALS

// Text: The update page caption
//#ifdef AUTOCONNECT_TEXT_UPDATINGFIRMWARE
//#undef AUTOCONNECT_TEXT_UPDATINGFIRMWARE
//#define AUTOCONNECT_TEXT_UPDATINGFIRMWARE "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_TEXT_UPDATINGFIRMWARE

// Text: The update page's file selection button label
//#ifdef AUTOCONNECT_TEXT_SELECTFIRMWARE
//#undef AUTOCONNECT_TEXT_SELECTFIRMWARE
//#define AUTOCONNECT_TEXT_SELECTFIRMWARE "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_TEXT_SELECTFIRMWARE

// Text: OTA success
//#ifdef AUTOCONNECT_TEXT_OTASUCCESS
//#undef AUTOCONNECT_TEXT_OTASUCCESS
//#define AUTOCONNECT_TEXT_OTASUCCESS "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_TEXT_OTASUCCESS

// Text: OTA success
//#ifdef AUTOCONNECT_TEXT_OTAUPLOADED
//#undef AUTOCONNECT_TEXT_OTAUPLOADED
//#define AUTOCONNECT_TEXT_OTAUPLOADED "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_TEXT_OTAUPLOADED

// Text: OTA failure
//#ifdef AUTOCONNECT_TEXT_OTAFAILURE
//#undef AUTOCONNECT_TEXT_OTAFAILURE
//#define AUTOCONNECT_TEXT_OTAFAILURE "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_TEXT_OTAFAILURE

// Text: Authenticaton failed
//#ifdef AUTOCONNECT_TEXT_AUTHFAILED
//#undef AUTOCONNECT_TEXT_AUTHFAILED
//#define AUTOCONNECT_TEXT_AUTHFAILED "NEW_STRING_YOU_WISH"
//#endif  // !AUTOCONNECT_TEXT_AUTHFAILED

// Menu Text: Connecting
//#ifdef AUTOCONNECT_MENUTEXT_CONNECTING
//#undef AUTOCONNECT_MENUTEXT_CONNECTING
//#define AUTOCONNECT_MENUTEXT_CONNECTING "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_MENUTEXT_CONNECTING

// Menu Text: Disconnect
//#ifdef AUTOCONNECT_MENUTEXT_DISCONNECT
//#undef AUTOCONNECT_MENUTEXT_DISCONNECT
//#define AUTOCONNECT_MENUTEXT_DISCONNECT "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_MENUTEXT_DISCONNECT

// Menu Text: Failed
//#ifdef AUTOCONNECT_MENUTEXT_FAILED
//#undef AUTOCONNECT_MENUTEXT_FAILED
//#define AUTOCONNECT_MENUTEXT_FAILED "NEW_STRING_YOU_WISH"
//#endif // !AUTOCONNECT_MENUTEXT_FAILED
